ru.bitel.bgbilling.kernel.wifi.common.event

## Class WiFiActivateEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.kernel.wifi.common.event.WiFiActivateEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class WiFiActivateEvent
      extends LocalEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WiFiActivateEvent(int moduleId, java.util.Map<java.lang.String,java.lang.String> params)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getError()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getParams()`
    `java.lang.String` | `getPayUrl()`
    `java.lang.String` | `getSuccessMessage()`
    `void` | `setError(java.lang.String error)`
    `void` | `setPayUrl(java.lang.String payUrl)`
    `void` | `setSuccessMessage(java.lang.String successMessage)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WiFiActivateEvent

          public WiFiActivateEvent(int moduleId,
                                   java.util.Map<java.lang.String,java.lang.String> params)

  - ### Method Detail

    - #### getPayUrl

          public java.lang.String getPayUrl()

    - #### setPayUrl

          public void setPayUrl(java.lang.String payUrl)

    - #### getError

          public java.lang.String getError()

    - #### setError

          public void setError(java.lang.String error)

    - #### getSuccessMessage

          public java.lang.String getSuccessMessage()

    - #### setSuccessMessage

          public void setSuccessMessage(java.lang.String successMessage)

    - #### getParams

          public java.util.Map<java.lang.String,java.lang.String> getParams()